package org.livee.data.command.bk;
/*
 * Copyright (c) 2007 Hideya Ochiai,  All rights reserved.
 * 
 * Permission of redistribution and use in source and binary forms, 
 * with or without modification, are granted, free of charge, to any person 
 * obtaining the copy of this software under the following conditions:
 * 
 *  1. Any copies of this source code must include the above copyright notice,
 *  this permission notice and the following statement without modification 
 *  except possible additions of other copyright notices. 
 * 
 *  2. Redistributions of the binary code must involve the copy of the above 
 *  copyright notice, this permission notice and the following statement 
 *  in documents and/or materials provided with the distribution.  
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import org.livee.data.expr.AbstractData;
import org.livee.data.expr.AbstractParser;
import org.livee.data.expr.ParserFactory;
import org.livee.util.Xml;
import org.w3c.dom.Document;
import org.w3c.dom.Element;


/**
 * @author Hideya Ochiai, The University of Tokyo
 * 
 */
public class TestCommand {

	public static void main(String[] args) throws Exception {

	//	test();
		
	//	if(1==1){
	//		return ;
	//	}
		
		//String[] param=new String[3];
		//param[0]="load";
		//param[1]="latestDataAll.xml";
		//param[2]="thai.live-e.org";
		
		//String[] param=new String[1];
		//param[0]="list";
		
		//LocaleLoader.main(param);
		//AdminProfileLoader.main(param);


		String[] param=new String[2];
		param[0]="load";
		param[1]="schema.xml";
		
		//String[] param=new String[1];
		//param[0]="list";
		
		//LocaleLoader.main(param);
		//ProfileSchemaLoader.main(param); */
		SchemaLoader.main(param);
		
	}

	public static void test() throws Exception {
		Document doc=Xml.parseXmlFile("admin.db.xml");
		Element root=doc.getDocumentElement();
		
		ParserFactory pf=ParserFactory.getInstance();
		AbstractParser adminReplicate_parser=pf.get("adminReplicate");
		
		AbstractData adminReplicate=adminReplicate_parser.parse(root);
		
		System.out.println(Xml.toString(adminReplicate.getXml(doc)));
	}
}
